/*
███████╗██╗███╗   ██╗ ██████╗ ███████╗██████╗     ██╗    ██╗███████╗ ██████╗ 
██╔════╝██║████╗  ██║██╔════╝ ██╔════╝██╔══██╗    ██║    ██║██╔════╝██╔════╝ 
█████╗  ██║██╔██╗ ██║██║  ███╗█████╗  ██████╔╝    ██║ █╗ ██║█████╗  ██║  ███╗
██╔══╝  ██║██║╚██╗██║██║   ██║██╔══╝  ██╔══██╗    ██║███╗██║██╔══╝  ██║   ██║
██║     ██║██║ ╚████║╚██████╔╝███████╗██║  ██║    ╚███╔███╔╝███████╗╚██████╔╝
╚═╝     ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝╚═╝  ╚═╝     ╚══╝╚══╝ ╚══════╝ ╚═════╝ 
*/

const BASE_URL = `${window.location.origin}/${window.location.pathname.split('/').filter((e, i)=>{return i>0 & i<4}).join('/')}`;
const ON = true;
const OFF = false;
const EMPTY_LINK = "javascript:undefined";
const DEFAULT = {
  social: {
    twitter: {
      icon: `${BASE_URL}/assets/images/twitter.png`,
      profile: "https://twitter.com/InnolabM4"
    },
    facebook: {
      icon: `${BASE_URL}/assets/images/facebook.png`,
      profile: "https://www.facebook.com/HfTStuttgart"
    },
    linkedin: {
      icon: `${BASE_URL}/assets/images/linkedin.png`,
      profile: "https://www.linkedin.com/school/hochschule-f%C3%BCr-technik-stuttgart-%E2%80%93-university-of-applied-sciences"
    },
    webpage: {
      icon: `${BASE_URL}/assets/images/webpage.png`,
      profile: "https://www.hft-stuttgart.de"
    }
  },
  avatar: `${BASE_URL}/assets/images/avatar.png`
};

/*
███████╗███████╗████████╗████████╗██╗███╗   ██╗ ██████╗ ███████╗
██╔════╝██╔════╝╚══██╔══╝╚══██╔══╝██║████╗  ██║██╔════╝ ██╔════╝
███████╗█████╗     ██║      ██║   ██║██╔██╗ ██║██║  ███╗███████╗
╚════██║██╔══╝     ██║      ██║   ██║██║╚██╗██║██║   ██║╚════██║
███████║███████╗   ██║      ██║   ██║██║ ╚████║╚██████╔╝███████║
╚══════╝╚══════╝   ╚═╝      ╚═╝   ╚═╝╚═╝  ╚═══╝ ╚═════╝ ╚══════╝
*/

let settings = {

  switches: [
    {
      name: "projectLogo",
      state: ON
    },
    {
      name: "projectName",
      state: ON
    },
    {
      name: "menu",
      state: ON
    },
    {
      name: "participants",
      state: ON
    },
    {
      name: "footerLogos",
      state: ON
    }
  ],

  projectLogo: `${BASE_URL}/assets/logos/Logo_Insource.png`,

  projectName: "IN-SOURCE: Food-Water-Energy Simulation and Visualization",

  menu: [
    {
      menuText: "home",
      link: `${BASE_URL}/home/`
    },
    {
      menuText: "Biomass simulator",
      link: `${BASE_URL}/biomass/`
    },
    {
      menuText: "Urban water demand simulator",
      link: `${BASE_URL}/water/`
    }
    {
      menuText: "FWE ADE",
      link: `${BASE_URL}/FWEADE/`
    }
    {
      menuText: "Visualization",
      link: `${BASE_URL}/visualization/`
    }
  ],

  participants: [
    {
      name: "Prof. Dr. Volker Coors",
      avatar: `${BASE_URL}/assets/images/coors.jpg`,
      email: "volker.coors@hft-stuttgart.de",
      social: [
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: "https://www.linkedin.com/in/volker-coors-97173a6/"
        },
        {
          agent: "webpage",
          icon: DEFAULT.social.webpage.icon,
          profile: "https://www.coors-online.de/"
        }
      ]
    },
    {
      name: "Ursula Pietzch (Project Manager)",
      avatar: `${BASE_URL}/assets/images/pietzsch.jpg`,
      email: "ursula.pietzsch@hft-stuttgart.de",
      social: [
        {
          agent: "linkedin",
          icon: DEFAULT.social.linkedin.icon,
          profile: "https://www.linkedin.com/in/ursula-pietzsch-5061a632/"
        }
      ]
    }
  ],

  footerLogos: [
    {
      logo: `${BASE_URL}/assets/logos/Logo_Simstadt.png`,
      href: "https://simstadt.hft-stuttgart.de/de/index.jsp",
      title: "SimStadt"
    },
    {
      logo: `${BASE_URL}/assets/logos/Logo_Insource.png`,
      href: "https://drc.ait.ac.at/sites/insource/",
      title: "IN-SOURCE VisToolBox"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo1.png`,
      href: "http://www.innovative-hochschule.de",
      title: "Innovative Hochschule"
    },
    {
      logo: `${BASE_URL}/assets/logos/logo2.png`,
      href: "https://www.bmbf.de",
      title: "Bundesministerium für Bildung und Forschung"
    },
  ]
};
